找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 199|回复: 2

[标注] 这个LSP加载后是乱码

[复制链接]
发表于 2023-3-26 16:44:08 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有账号?立即注册

×
  1. (defun c:bb()(vl-load-com)(setq AA (getvar "clayer"))(setq layer "文字     text")(if (not (tblsearch "layer" layer ))
  2. (progn (command "layer" "new" "文字     text" "s" "文字     text" "C" 212 "" "L" "Continuous" "" "LW" 0.2 "" "")))
  3. (COMMAND "CLAYER" layer)(setvar "texteval" 1)(setvar "cmdecho" 0)(setq vv (getvar "osmode"))
  4. (setq ht (getreal "\n-->标注字高默认:2.5)") zk (getreal "\n-->标注字宽默认:0.7)"))
  5. (if (= ht nil) (setq ht 2.5))(if (= zk nil) (setq zk 0.7))(setq zj (/ ht 3))(setq n 0)
  6. (while (= n 0)(setq TXT (getstring "\n-->请输入文字:"))(setvar "osmode" 33)
  7. (if (/= txt "")(setq   p1 (getpoint "\n-->请指定点坐标:")))
  8. (if (= txt "") (setq n 1)(zcx)))(setvar "osmode" vv)(princ))
  9. (defun zcx()(setvar "osmode" 0)
  10. (setq p2 (polar p1 0 10) a1 (car p1 ) c1 (car p2) vx (* (- (strlen TXT) 0.2) (* ht 0.75))
  11. le vx bb_sp(vla-get-Modelspace (vla-get-activeDocument (vlax-get-acad-object))))
  12. (if (< c1 a1)(setq pp (polar p2 pi le)p3 (polar pp (/ pi 2) zj))
  13. (setq pp (polar p2 0 le) p3 (polar p2 (/ pi 2) zj)))
  14. (vla-addline bb_sp (vlax-3d-point p1) (vlax-3d-point p2))
  15. (setq en1 (entlast))(vla-addline bb_sp (vlax-3d-point p2) (vlax-3d-point pp))
  16. (setq en2 (entlast))(vla-addtext  bb_sp TXT (vlax-3d-point p3) ht)
  17. (entmod (subst (cons 41 zk) (assoc 41 (entget (entlast)))(entget (entlast))))
  18. (setq en3 (entlast))(setq ent1 (entget en1)ent2 (entget en2) ent3 (entget en3))
  19. (setq le1 (caadr (textbox ent3)))(setq le (* 1.2 le1) jl (* 0.1 le1))
  20. (while (= (car (setq mouse (grread t 0 0))) 5)(setq pt (cadr mouse))
  21. (if (>= (car pt)(car p1))(progn (setq ent1 (subst (cons 11 pt)(assoc 11 ent1) ent1))
  22. (entmod ent1)(setq ent2 (subst (cons 10 pt)(assoc 10 ent2) ent2))
  23. (entmod ent2)(setq ent2 (subst (cons 11 (polar pt 0 le))(assoc 11 ent2) ent2))
  24. (entmod ent2)(setq ent3 (subst '(72 . 0) (assoc 72 ent3) ent3))
  25. (setq ent3 (subst (cons 10 (list (+ (car pt) jl) (+ (cadr pt) zj)))(assoc 10 ent3) ent3))
  26. (entmod ent3))(progn(setq ent1 (subst (cons 11 pt)(assoc 11 ent1) ent1))
  27. (entmod ent1)(setq ent2 (subst (cons 10 pt)(assoc 10 ent2) ent2))
  28. (entmod ent2)(setq ent2 (subst (cons 11 (polar pt pi le))(assoc 11 ent2) ent2))
  29. (entmod ent2)(setq ent3 (subst '(72 . 2) (assoc 72 ent3) ent3))
  30. (setq ent3 (subst (cons 10 (list (- (car pt) jl) (+ (cadr pt) zj)))(assoc 10 ent3) ent3))
  31. (setq ent3 (subst (cons 11 (list (- (car pt) jl) (+ (cadr pt) zj)))(assoc 11 ent3) ent3))
  32. (entmod ent3))))(princ))
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
 楼主| 发表于 2023-3-26 16:45:25 | 显示全部楼层
->鏍囨敞瀛楅珮榛樿?:2.5)
-->鏍囨敞瀛楀?榛樿?:0.7)
-->璇疯緭鍏ユ枃瀛?
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

 楼主| 发表于 2023-3-26 16:46:33 | 显示全部楼层
就是这样子,全是乱码
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|Archiver|手机版|小黑屋|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )

GMT+8, 2024-7-22 12:12 , Processed in 0.371662 second(s), 32 queries , Gzip On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表